# vitrage-purge-data

## CLI interface for Vitrage Purge Data commands

### Synopsis

    vitrage-purge-data --config-file [<args>]

### Description

vitrage-purge-data is a tool that provides routines for clearing the data of a Vitrage deployment tables.

### Options

The standard pattern for executing a vitrage-purge-data command is:

    vitrage-purge-data --config-file /etc/vitrage/vitrage.conf

The section describe those tables that are emptied after executing the command

> Related Tables

> Number | Table Name
> --- | ---
> 1 | active_actions
> 2 | events
> 3 | graph_snapshots
> 4 | changes
> 5 | edges
> 6 | alarms

this page last updated: 2026-01-23 22:59:33

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug